package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxCardInfo;
import com.iformall.domain.vo.WxCardVo;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public interface WxCardInfoService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxCardVo> listAsPage(WxCardVo record, Integer pageIndex, Integer pageSize);

	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxCardInfo getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxCardInfo record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


    void exportData(WxCardVo wxCardVo, HttpServletRequest request, HttpServletResponse response);

}
